View Issue Details

IDProjectCategoryView StatusLast Update
0002931FreeCADBugpublic2017-09-30 12:56
ReporterkkremitzkiAssigned Towmayer 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target Version0.17Fixed in Version0.17 
Summary0002931: Box select misbehaves with touchpad navigation style
DescriptionBox select (Shift+B) does not behave correctly when touchpad navigation style is enabled. Shift+mouse is used for panning in this style. When box select is activated and a rectangle is drawn, after the selection is complete, the view will pan as if the user had simply held down shift and moved the mouse from the starting to the ending corner.
Tagstrackpad

Activities

Kunda1

2017-08-28 14:39

manager   ~0010023

Forum thread: https://forum.freecadweb.org/viewtopic.php?f=8&t=24098

HoWil

2017-09-23 10:41

developer   ~0010162

Still there in :
OS: Ubuntu 16.04.3 LTS
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.12195 (Git)
Build type: None
Branch: master
Hash: f3953a45e3c073c97fe05a10c5871abd25ea1d30
Python version: 2.7.12
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 7.1.0
Locale: English/UnitedStates (en_US)

See also https://forum.freecadweb.org/viewtopic.php?f=3&t=24572
BR Howil

wmayer

2017-09-30 12:56

administrator   ~0010219

https://github.com/FreeCAD/FreeCAD/commit/755cd3bfbda380ae1a6e3988ff85ccc3b333d8ef

Issue History

Date Modified Username Field Change
2017-02-28 15:06 kkremitzki New Issue
2017-08-28 14:39 Kunda1 Note Added: 0010023
2017-09-23 10:41 HoWil Note Added: 0010162
2017-09-25 09:18 wmayer Assigned To => wmayer
2017-09-25 09:18 wmayer Status new => confirmed
2017-09-30 11:18 Kunda1 Tag Attached: trackpad
2017-09-30 12:56 wmayer Status confirmed => closed
2017-09-30 12:56 wmayer Resolution open => fixed
2017-09-30 12:56 wmayer Fixed in Version => 0.17
2017-09-30 12:56 wmayer Note Added: 0010219